Subject: Re: bug#71351: 30.0.50; PGTK build breaks some default keybindings

From: Po Lu <[email-masked]>
Date: Tue, 04 Jun 2024 09:49:02 +0800

tags 71351 + notabug
close 71351
thanks

Spencer Bronson <[email-masked]> writes:

> Emacs describes some keys differently when built --with-pgtk, breaking
> some default keybindings.
>
> When built with default configuration:
>  1. emacs -Q
>  2. C-h k
>  3. (I press the key that produces keycode 159)
> Result: "<XF86Forward> runs the command next-buffer" etc.
>
> When built "--with-pgtk":
>  1. emacs -Q
>  2. C-h k
>  3. (I press the key that produces keycode 159)
> Result: "<Forward> is undefined"
>
> I don't know how many keys this affects; media keys like
> "<AudioNext>"/"<XF86AudioNext>" and function keys like
> "<ScreenSaver>"/"<XF86ScreenSaver>" are affected as well, breaking
> customizations that rely on naming those keys with kbd.

The names of such keys are provided by GDK, just as they previously were
by your X library distributor, and there is little in our power as to
correcting inconsistencies between the two beyond creating additional
bindings for existing instances of the X names in Emacs.